Skip to navigation

By ID

Retrieves an active or archived fuel surcharge configuration owned by the caller’s organization. | authz: allowed_org_types=[provider], min_org_role=operator | () -> (FuelSurchargeConfiguration1)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

fuel_surcharge_configuration_idstringRequired

Response

Successful Response
_idstring
created_at_timestampstringformat: "date-time"
created_by_user_idstring

Must be a string starting with user_

invoice_typeenum
Allowed values:
last_edited_at_timestampstringformat: "date-time"
last_edited_by_user_idstring

Must be a string starting with user_

namestringformat: "\S"1-255 characters
owned_by_org_idstring

Must be a string starting with org_

rateslist of objects
schema_versioninteger
archived_at_timestampstring or nullOptionalformat: "date-time"
archived_by_user_idstring or nullOptional
counterparty_driver_idstring or nullOptional
counterparty_off_chrt_org_data_idstring or nullOptional
counterparty_org_idstring or nullOptional
shipper_account_idstring or nullOptional

Errors

422
Unprocessable Entity Error